# Type Alias FormBuilderFn<T, Data>

FormBuilderFn: (
state: any,
options: { controlId: string },
) => T | RxapFormControl

#### Type Parameters

- T extends FormDefinition<Data> | FormType<Data> = FormDefinition
- Data = Record<string, any>

#### Type declaration

- - (state: any, options: { controlId: string }): T | RxapFormControl

  - #### Parameters

    - state: any
    - options: { controlId: string }

    #### Returns T | RxapFormControl

- Defined in packages/angular/forms/src/lib/model.ts:121